Subject: Re: possible bug in net/core/pktgen.c (2.6.10 kernel)

From: Dave Peterson <[email-masked]>
Date: Tue, 18 Jan 2005 13:46:22 -0800

On Tuesday 18 January 2005 12:41 pm, David S. Miller wrote:
> I'm still a little bit confused on this one.
>
> Since when does do_softirq() need preemption disabled
> around calls to it?
>
> do_softirq() disabled hard IRQs during the duration of it's
> execution, thus effectively disabling preemption.
>
> What is the problematic case again?

Oops... My mistake.  Looking at __do_softirq() I noticed that it enables
interrupts before executing the softirqs.  However I didn't notice that
the call to local_bh_disable() in __do_softirq() disables preemption
before interrupts are enabled.  On second thought everything looks OK
and no bug fix is needed.

Dave